AFL Platform Update - 13th July 2026
New Versions​
This update is released in the following versions:
- AFL API v1.73
- AFL Warehouse v1.12
- R Package v1.5.8 (Installation Guide)
Match Statistics Endpoint Validation
This update introduces a validation object to the match player and squad statistics endpoints. When querying for specific metrics, the API response now returns all the statistics that are available for the match, and lists all the metrics that were requested, but unavailable, in the validation object.
Following feedback from sandbox testing, a new optional showValidation parameter has been added to these endpoints. If not supplied, it defaults to FALSE which prevents the validation object from being returned. This avoids any potential issues with the unexpected inclusion of the validation object before you can modify your calls to use it.
AFL API​
- GET Match Statistic Players
- GET Match Statistic Squads
- POST Match Statistic Players
- POST Match Statistic Squads
R Package​
- getPlayerStats()
- getPlayerStatsPOST()
- getSquadStats()
- getSquadStatsPOST()
Ruck Contest Summary Period Filtering
This update adds an optional Period query parameter to the ruck contest summary endpoint. This parameter accepts a list of integers identifying specific match periods, allowing users to filter the transactional ruck summary data by quarter.
AFL API​
AFL Player Availability SNS Notification
This update introduces a new SNS message for player availability changes. Subscribers will receive notifications when availability data is updated following notification from the clubs and/or from social media feeds.
Bug Fixes
Match Summary Shot Endpoints​
Fixed an issue when includeAllShotSummaries=true is requested in conjunction with a period filter resulting in players not being returned because they don't have any shots in that period.